net.minecraft.world.biome

## Class WorldChunkManager

- java.lang.Object
- - net.minecraft.world.biome.WorldChunkManager

- Direct Known Subclasses:
    WorldChunkManagerHell

      public class WorldChunkManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ArrayList<BiomeGenBase>` | `allowedBiomes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldChunkManager(long par1, WorldType par3WorldType)`
    `WorldChunkManager(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areBiomesViable(int par1, int par2, int par3, List par4List)` checks given Chunk's Biomes against List of allowed ones
    `void` | `cleanupCache()` Calls the WorldChunkManager's biomeCache.cleanupCache()
    `ChunkPosition` | `findBiomePosition(int par1, int par2, int par3, List par4List, Random par5Random)` Finds a valid position within a range, that is in one of the listed biomes.
    `BiomeGenBase[]` | `getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5, boolean par6)` Return a list of biomes for the specified blocks.
    `BiomeGenBase` | `getBiomeGenAt(int par1, int par2)` Returns the BiomeGenBase related to the x, z position on the world.
    `BiomeGenBase[]` | `getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)` Returns an array of biomes for the location input.
    `List` | `getBiomesToSpawnIn()` Gets the list of valid biomes for the player to spawn in.
    `GenLayer[]` | `getModdedBiomeGenerators(WorldType worldType, long seed, GenLayer[] original)`
    `float[]` | `getRainfall(float[] par1ArrayOfFloat, int par2, int par3, int par4, int par5)` Returns a list of rainfall values for the specified blocks.
    `float` | `getTemperatureAtHeight(float par1, int par2)`
    `float[]` | `getTemperatures(float[] par1ArrayOfFloat, int par2, int par3, int par4, int par5)` Returns a list of temperatures to use for the specified blocks.
    `BiomeGenBase[]` | `loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)` Returns biomes to use for the blocks and loads the other data like temperature and humidity onto the WorldChunkManager Args: oldBiomeList, x, z, width, depth

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowedBiomes

          public static ArrayList<BiomeGenBase> allowedBiomes

  - ### Constructor Detail

    - #### WorldChunkManager

          public WorldChunkManager(long par1,
                           WorldType par3WorldType)

    - #### WorldChunkManager

          public WorldChunkManager(World par1World)

  - ### Method Detail

    - #### getBiomesToSpawnIn

          public List getBiomesToSpawnIn()

      Gets the list of valid biomes for the player to spawn in.

    - #### getBiomeGenAt

          public BiomeGenBase getBiomeGenAt(int par1,
                                   int par2)

      Returns the BiomeGenBase related to the x, z position on the world.

    - #### getRainfall

          public float[] getRainfall(float[] par1ArrayOfFloat,
                            int par2,
                            int par3,
                            int par4,
                            int par5)

      Returns a list of rainfall values for the specified blocks. Args: listToReuse, x, z, width, length.

    - #### getTemperatureAtHeight

          public float getTemperatureAtHeight(float par1,
                                     int par2)

    - #### getTemperatures

          public float[] getTemperatures(float[] par1ArrayOfFloat,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

      Returns a list of temperatures to use for the specified blocks. Args: listToReuse, x, y, width, length

    - #### getBiomesForGeneration

          public BiomeGenBase[] getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

      Returns an array of biomes for the location input.

    - #### loadBlockGeneratorData

          public BiomeGenBase[] loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

      Returns biomes to use for the blocks and loads the other data like temperature and humidity onto the WorldChunkManager Args: oldBiomeList, x, z, width, depth

    - #### getBiomeGenAt

          public BiomeGenBase[] getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                     int par2,
                                     int par3,
                                     int par4,
                                     int par5,
                                     boolean par6)

      Return a list of biomes for the specified blocks. Args: listToReuse, x, y, width, length, cacheFlag (if false, don't check biomeCache to avoid infinite loop in BiomeCacheBlock)

    - #### areBiomesViable

          public boolean areBiomesViable(int par1,
                                int par2,
                                int par3,
                                List par4List)

      checks given Chunk's Biomes against List of allowed ones

    - #### findBiomePosition

          public ChunkPosition findBiomePosition(int par1,
                                        int par2,
                                        int par3,
                                        List par4List,
                                        Random par5Random)

      Finds a valid position within a range, that is in one of the listed biomes. Searches {par1,par2} +-par3 blocks. Strongly favors positive y positions.

    - #### cleanupCache

          public void cleanupCache()

      Calls the WorldChunkManager's biomeCache.cleanupCache()

    - #### getModdedBiomeGenerators

          public GenLayer[] getModdedBiomeGenerators(WorldType worldType,
                                            long seed,
                                            GenLayer[] original)